CocoaListBox Class Reference

`#include <CocoaListBox.h>`

Inheritance diagram for CocoaListBox:

## Instance Methods

(void) | - addDataRowString:
(void) | - clearDataRows
(NSString *) | - dataRowStringForRow:
(NSSize) | - minSize
(void) | - setC_ActionPtr:Data:
(BOOL) | - setColumnWidthTo:forColumn:
(BOOL) | - setSortOrderTo:ForColumnWithIndex:
(void) | - setTitelsAndCreateColumns:
(NSInteger) | - sortOrderForColumnAtIndex:
(NSString *) | - titlesString
(NSInteger) | - widthOfColumn:

## Protected Attributes

void * | c_actionData
gwenListBoxActionPtr | c_actionPtr
NSMutableArray * | dataArray
BOOL | fillX
BOOL | fillY

## Detailed Description

Definition at line 13 of file CocoaListBox.h.

## Method Documentation

## addDataRowString:

- (void) addDataRowString: |  | (NSString *) | dataRowString |

## clearDataRows

- (void) clearDataRows |  |  |

Referenced by dataRowStringForRow:.

## dataRowStringForRow:

- (NSString *) dataRowStringForRow: |  | (NSUInteger) | index |

References clearDataRows.

## minSize

- (NSSize) minSize |  |  |

References minSize.

Referenced by minSize.

## setC_ActionPtr:Data:

- (void) setC_ActionPtr: |  | (gwenListBoxActionPtr) | ptr
Data: |  | (void *) | data

## setColumnWidthTo:forColumn:

- (BOOL) setColumnWidthTo: |  | (NSInteger) | widthInPixels
forColumn: |  | (NSInteger) | index

## setSortOrderTo:ForColumnWithIndex:

- (BOOL) setSortOrderTo: |  | (BOOL) | ascending
ForColumnWithIndex: |  | (NSUInteger) | index

## setTitelsAndCreateColumns:

- (void) setTitelsAndCreateColumns: |  | (NSString *) | titleString |

References titlesString.

## sortOrderForColumnAtIndex:

- (NSInteger) sortOrderForColumnAtIndex: |  | (NSUInteger) | index |

## titlesString

- (NSString *) titlesString |  |  |

Referenced by setTitelsAndCreateColumns:.

## widthOfColumn:

- (NSInteger) widthOfColumn: |  | (NSInteger) | index |

## Field Documentation

## c_actionData

- (void*) c_actionData

protected

Definition at line 17 of file CocoaListBox.h.

## c_actionPtr

- (gwenListBoxActionPtr) c_actionPtr

protected

Definition at line 16 of file CocoaListBox.h.

## dataArray

- (NSMutableArray*) dataArray

protected

Definition at line 22 of file CocoaListBox.h.

## fillX

- (BOOL) fillX

read write protected

Definition at line 19 of file CocoaListBox.h.

## fillY

- (BOOL) fillY

read write protected

Definition at line 20 of file CocoaListBox.h.

The documentation for this class was generated from the following file:

- CocoaListBox.h